This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 151065 - gnutls-devel doesn't pull libgcrypt-devel
gnutls-devel doesn't pull libgcrypt-devel
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnutls (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-14 10:31 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 07:42:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-03-14 10:31:56 EST
From a config.log snippet:
configure:20230: checking for libgnutls-config
configure:20248: found /usr/bin/libgnutls-config
configure:20261: result: /usr/bin/libgnutls-config
configure:20269: checking for libgnutls - version >= 1.0.0
configure:20350: gcc -o conftest -g -O2 -Wall -I/usr/include  
conftest.c -lnsl  -lz -L/usr/lib -lgnutls -lgcrypt -lgpg-error >&5
/usr/bin/ld: cannot find -lgcrypt
collect2: ld returned 1 exit status

$ ldd /usr/lib/libgnutls.so.11.1.20  | grep crypt
        libgcrypt.so.11 => /usr/lib/libgcrypt.so.11 (0x00832000)
$ rpm -q gnutls-devel
gnutls-devel-1.0.20-3
Comment 1 Tomas Mraz 2005-04-22 07:42:49 EDT
Fixed in rawhide. Will be fixed in a future RHEL4 update if other bugs appear.

Note You need to log in before you can comment on or make changes to this bug.